XMLFormatTarget Class Referenceabstract
Inheritance diagram for XMLFormatTarget:

## Public Member Functions

virtual | ~XMLFormatTarget ()
virtual void | writeChars (const XMLByte *const toWrite, const XMLSize_t count, XMLFormatter *const formatter)=0
virtual void | flush ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Protected Member Functions

| XMLFormatTarget ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## ~XMLFormatTarget()

virtual XMLFormatTarget::~XMLFormatTarget | ( |  | ) |

virtual

## XMLFormatTarget()

XMLFormatTarget::XMLFormatTarget | ( |  | ) |

protected

## Member Function Documentation

## flush()

virtual void XMLFormatTarget::flush | ( |  | ) |

virtual

Reimplemented in LocalFileFormatTarget, and StdOutFormatTarget.

## writeChars()

virtual void XMLFormatTarget::writeChars | ( | const XMLByte *const | toWrite,
|  | const XMLSize_t | count,
|  | XMLFormatter *const | formatter
| ) |  |

pure virtual

Implemented in MemBufFormatTarget, LocalFileFormatTarget, and StdOutFormatTarget.

The documentation for this class was generated from the following file:

- XMLFormatter.hpp